### Virtual Method

# Gio TlsConnection handshake_async

since: 2.28

#### Declaration

    void
    handshake_async (
      GTlsConnection* conn,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously performs a TLS handshake on `conn`. See `g_tls_connection_handshake()` for more information.

Available since: 2.28

#### Parameters

`io_priority`

  Type: `int`

  The [I/O priority][io-priority] of the request.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call when the handshake is complete.

`user_data`

  Type: `gpointer`

  The data to pass to the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.